---
title: Update a Statuspage URL setting
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Statuspage Integration
---

# Update a Statuspage URL setting{% #update-a-statuspage-url-setting %}
Copy pageCopied
{% tab title="v2" %}

| Datadog site      | API endpoint                                                                                               |
| ----------------- | ---------------------------------------------------------------------------------------------------------- |
| ap1.datadoghq.com | PATCH https://api.ap1.datadoghq.com/api/v2/integration/statuspage/url_settings/{statuspage_url_setting_id} |
| ap2.datadoghq.com | PATCH https://api.ap2.datadoghq.com/api/v2/integration/statuspage/url_settings/{statuspage_url_setting_id} |
| app.datadoghq.eu  | PATCH https://api.datadoghq.eu/api/v2/integration/statuspage/url_settings/{statuspage_url_setting_id}      |
| app.ddog-gov.com  | PATCH https://api.ddog-gov.com/api/v2/integration/statuspage/url_settings/{statuspage_url_setting_id}      |
| us2.ddog-gov.com  | PATCH https://api.us2.ddog-gov.com/api/v2/integration/statuspage/url_settings/{statuspage_url_setting_id}  |
| app.datadoghq.com | PATCH https://api.datadoghq.com/api/v2/integration/statuspage/url_settings/{statuspage_url_setting_id}     |
| us3.datadoghq.com | PATCH https://api.us3.datadoghq.com/api/v2/integration/statuspage/url_settings/{statuspage_url_setting_id} |
| us5.datadoghq.com | PATCH https://api.us5.datadoghq.com/api/v2/integration/statuspage/url_settings/{statuspage_url_setting_id} |

### Overview

Update a single Statuspage URL setting in your organization. This endpoint requires the `manage_integrations` permission.

### Arguments

#### Path Parameters

| Name                                        | Type   | Description                             |
| ------------------------------------------- | ------ | --------------------------------------- |
| statuspage_url_setting_id [*required*] | string | The UUID of the Statuspage URL setting. |

### Request

#### Body Data (required)

Statuspage URL setting payload.

{% tab title="Model" %}

| Parent field | Field                        | Type   | Description                                                                                |
| ------------ | ---------------------------- | ------ | ------------------------------------------------------------------------------------------ |
|              | data [*required*]       | object | Statuspage URL setting data for an update request.                                         |
| data         | attributes [*required*] | object | The Statuspage URL setting attributes for an update request.                               |
| attributes   | custom_tags                  | string | Comma-separated list of custom tags to apply to events generated from this Statuspage URL. |
| attributes   | url                          | string | The Statuspage URL to monitor.                                                             |
| data         | id [*required*]         | string | The ID of the Statuspage URL setting.                                                      |
| data         | type [*required*]       | enum   | Statuspage URL setting resource type. Allowed enum values: `statuspage-url-setting`        |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "custom_tags": "team:collaboration-integrations,env:prod",
      "url": "https://example.statuspage.io"
    },
    "id": "596da4af-0563-4097-90ff-07230c3f9db3",
    "type": "statuspage-url-setting"
  }
}
```

{% /tab %}

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response containing a Statuspage URL setting.

| Parent field | Field                        | Type   | Description                                                                               |
| ------------ | ---------------------------- | ------ | ----------------------------------------------------------------------------------------- |
|              | data [*required*]       | object | Statuspage URL setting data from a response.                                              |
| data         | attributes [*required*] | object | The attributes from a Statuspage URL setting response.                                    |
| attributes   | custom_tags                  | string | Comma-separated list of custom tags applied to events generated from this Statuspage URL. |
| attributes   | url                          | string | The Statuspage URL being monitored.                                                       |
| data         | id [*required*]         | string | The ID of the Statuspage URL setting.                                                     |
| data         | type [*required*]       | enum   | Statuspage URL setting resource type. Allowed enum values: `statuspage-url-setting`       |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "custom_tags": "team:collaboration-integrations,env:prod",
      "url": "https://example.statuspage.io"
    },
    "id": "596da4af-0563-4097-90ff-07230c3f9db3",
    "type": "statuspage-url-setting"
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="409" %}
Conflict
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \## default
# 
 \# Path parameters export statuspage_url_setting_id="CHANGE_ME" \# Curl command curl -X PATCH "https://api.datadoghq.com/api/v2/integration/statuspage/url_settings/${statuspage_url_setting_id}" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \
-d @- << EOF
{
  "data": {
    "attributes": {
      "custom_tags": "team:collaboration-integrations",
      "url": "https://example.statuspage.io"
    },
    "id": "596da4af-0563-4097-90ff-07230c3f9db3",
    "type": "statuspage-url-setting"
  }
}
EOF 
                
{% /tab %}
